<?php
if(isset($_GET['sil_id'])){
    $delete = $db->exec("DELETE FROM slider_alti_resimler WHERE id = '{$_GET['sil_id']}' LIMIT 1");
    echo b();
}

if($_POST){
	
    if(isset($_GET['duzenle_id'])){
        $islem = $db->prepare("UPDATE slider_alti_resimler SET link = ?, img = ? WHERE id = ?");
        $islem = $islem->execute(array($_POST['link'],$_POST['img1'],$_GET['duzenle_id']));
    }else{
        $islem = $db->prepare("INSERT INTO slider_alti_resimler SET link = ?, img = ?");
        $islem = $islem->execute(array($_POST['link'],$_POST['img1']));
    }

    if($islem){
        echo b();
    }else{
        echo h();
    }

}

if(isset($_GET['duzenle_id'])){
    $duzenle = $db->query("SELECT * FROM slider_alti_resimler WHERE id = '{$_GET['duzenle_id']}' LIMIT 1")->fetch(PDO::FETCH_ASSOC);
    ?>
	<script type="text/javascript">
		$(function(){
			<?php
             if($duzenle['img'] !='' AND is_file('../upload/'.$duzenle['img'])){
                ?>
                  $('.uploaddis[data-id="1"] .yuklendi img').attr('src','../upload/<?php echo $duzenle['img']; ?>');
                  $('.uploaddis[data-id="1"] input').val('<?php echo $duzenle['img']; ?>');
                  $('.uploaddis[data-id="1"]').removeClass('aktif');
                  $('.uploaddis[data-id="1"]').addClass('pasif');
                <?php
              }
            ?>
		});
	</script>
	<?php
}
?>
<div class="page-header">
	<div class="page-leftheader">
		<h4 class="page-title">Anasayfa Slider Altı Görseller Yönetimi</h4>
	</div>
	<div class="page-rightheader ml-auto d-lg-flex d-none">
		<ol class="breadcrumb">
			<li class="breadcrumb-item"><a href="index.php">Anasayfa</a></li>
			<li class="breadcrumb-item active" aria-current="page">Anasayfa Slider Altı Görseller Yönetimi</li>
		</ol>
	</div>
</div>
						
<div class="row">
	<div class="col-md-6">
		<div class="card">
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						
						<div class="table-responsive">
							<table class="table table-bordered text-nowrap" id="example2">
								<thead>
									<tr>
										<th class="wd-15p border-bottom-0">ID</th>
										<th class="wd-15p border-bottom-0">Link</th>
										<th class="wd-15p border-bottom-0">Fotoğraf</th>
										<th class="wd-15p border-bottom-0">İşlem</th>
									</tr>
								</thead>
								<tbody>
									<?php
				                      $query = $db->query("SELECT * FROM slider_alti_resimler ORDER BY id DESC", PDO::FETCH_ASSOC);
				                      if($query->rowCount()){
				                        foreach( $query as $row ){
				                          echo '
				                            <tr>
				                              <td>'.$row['id'].'</td>
				                              <td>'.$row['link'].'</td>
				                              <td><img src="../upload/'.$row['img'].'"></td>
				                              <td>
				                                <a href="'.$sayfa.'/duzenle/'.$row['id'].'" class="badge badge-success" style="margin-right:10px">Düzenle</span>
				                                <a href="'.$sayfa.'/sil/'.$row['id'].'" class="badge badge-danger" style="margin-right:10px">Sil</span>
				                              </td>
				                            </tr>
				                          ';
				                        }
				                      }
				                    ?>
								</tbody>
							</table>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-md-6">
		<div class="card">
			<div class="card-body">
				<div class="row">
					<div class="col-md-12">
						
						<form class="form-horizontal" method="post" action="">

							<div class="form-group row">
								<label class="col-md-3 form-label">Link</label>
								<div class="col-md-9">
									<input type="text" class="form-control" name="link" value="<?php echo @$duzenle['link']; ?>" required="">
								</div>
							</div>

							<div class="form-group row">
				                <div class="col-md-3"></div>
				                <div class="col-md-9">
				                    <div class="uploaddis aktif" data-id="1" style="float:left;">
				        			  <div class="yuklendi">
				        				  <img src="">
				        				  <div class="icon" data-id="1"><span class="fa fa-trash"></span></div>
				        				  <input type="hidden" name="img1" value="" required="">
				        			  </div>
				        			  <div class="upload">
				        				  <span class="metin" style="width: 100%;float: left;">Resim Yükle</span>
				        				  <div class="icon"><span class="fa fa-upload" data-id="1"></span></div>
				        			  </div>
				        			</div>
				                </div>
				            </div>

							<div class="form-group row">
								<div class="col-md-12"><center><button type="submit" class="btn btn-info">Kaydet</button></center></div>
							</div>

				            <div id="queue"></div>

						</form>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>
